# Class TableBorders

#### Hierarchy

- XmlComponent
  - TableBorders

- Defined in src/file/table/table-properties/table-borders.ts:26

#####
Index

### Constructors

constructor

### Properties

NONE

### Methods

addChildElement
prepForXml

## Constructors

### constructor

- new TableBorders(options): TableBorders

- #### Parameters

  - ##### options: ITableBordersOptions

  #### Returns TableBorders

  Overrides XmlComponent.constructor

  - Defined in src/file/table/table-properties/table-borders.ts:36

## Properties

### `Static` `Readonly` NONE

NONE: {
bottom: {
color: string;
size: number;
style: BorderStyle;
};
insideHorizontal: {
color: string;
size: number;
style: BorderStyle;
};
insideVertical: {
color: string;
size: number;
style: BorderStyle;
};
left: {
color: string;
size: number;
style: BorderStyle;
};
right: {
color: string;
size: number;
style: BorderStyle;
};
top: {
color: string;
size: number;
style: BorderStyle;
};
} = ...

#### Type declaration

- ##### bottom: {
  color: string;
  size: number;
  style: BorderStyle;
  }

  - ##### color: string

  - ##### size: number

  - ##### style: BorderStyle

- ##### insideHorizontal: {
  color: string;
  size: number;
  style: BorderStyle;
  }

  - ##### color: string

  - ##### size: number

  - ##### style: BorderStyle

- ##### insideVertical: {
  color: string;
  size: number;
  style: BorderStyle;
  }

  - ##### color: string

  - ##### size: number

  - ##### style: BorderStyle

- ##### left: {
  color: string;
  size: number;
  style: BorderStyle;
  }

  - ##### color: string

  - ##### size: number

  - ##### style: BorderStyle

- ##### right: {
  color: string;
  size: number;
  style: BorderStyle;
  }

  - ##### color: string

  - ##### size: number

  - ##### style: BorderStyle

- ##### top: {
  color: string;
  size: number;
  style: BorderStyle;
  }

  - ##### color: string

  - ##### size: number

  - ##### style: BorderStyle

- Defined in src/file/table/table-properties/table-borders.ts:27

## Methods

### addChildElement

- addChildElement(child): XmlComponent

- #### Parameters

  - ##### child: string | XmlComponent

  #### Returns XmlComponent

  Inherited from XmlComponent.addChildElement

  - Defined in src/file/xml-components/xml-component.ts:45

### prepForXml

- prepForXml(context): undefined | IXmlableObject

- #### Parameters

  - ##### context: IContext

  #### Returns undefined | IXmlableObject

  Inherited from XmlComponent.prepForXml

  - Defined in src/file/xml-components/xml-component.ts:20

Generated using TypeDoc